@import '../../variables';

.filter-button {
  width: 100%;
  background-color: #fff;
  border-radius: 0px;
  border: none;
  border-top: 3px solid map-get($theme-colors, 'secondary-lightest');
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.05);

  &:not(:disabled):not(.disabled) {
    color: map-get($theme-colors, 'secondary');
    border-color: map-get($theme-colors, 'secondary-lightest');

    &:hover {
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
      background-color: #fff;
      color: map-get($theme-colors, 'secondary');
      border-color: map-get($theme-colors, 'primary');
    }

    &:active {
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
      color: map-get($theme-colors, 'secondary');
    }

    &.active {
      box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.15);
      background-color: #fff;
      color: map-get($theme-colors, 'primary');
      font-weight: bold;
    }
  }

  .icon-wrapper {
    float: left;
    max-width: 200px;
    width: 20%;
  }
}
